//Modified on May 10, 2017
//N.Shevchuk
//Modified by Megumi Iwata on 01.05.2018
//node2: stepper motor board (week13)

#include <SoftwareSerial.h>
#define rxPin 5     // PA5(MISO) recieves signal from the computer
#define txPin 4     // PA4(SCK) transmits signal to the computer (bridge in this case)
//#define rxPin A1  // for testing with FTDI: PA1 recieves signal from the computer
//#define txPin A0  // for testing with FTDI:: PA0 transmits signal to the computer
SoftwareSerial mySerial(rxPin,txPin);

const int ledPin = 7; // LED is PA7 on ATTiny44

void setup()
{
pinMode(ledPin, OUTPUT);
pinMode(txPin, INPUT);  //default tx as input
mySerial.begin(9600);
}
void loop(){
  
    digitalWrite(ledPin, HIGH);
    delay(100);
    digitalWrite(ledPin, LOW);
    delay(100);
    digitalWrite(ledPin, HIGH);
    delay(100);
    digitalWrite(ledPin, LOW);
    delay(100);
    pinMode(txPin, OUTPUT);   // tx as output to send signal to the bridge board
    mySerial.println('2');
    pinMode(txPin, INPUT);    //tx goes back as input again
    digitalWrite(ledPin, LOW);
    delay(1000);
    
}

